I purchased my Treo 650 GSM in the US and followed Palm's recommendation to use the software updater specific for the region where I purchased it (ENA 1.20). However, I do not live in Europe or North America , but in Latin America, and here Palm recommends to use the LAP version for locally purchased phones. It seems to me that the hardware of GSM phones is not region-specific, and that only software is region-specific. I this is so, Palm's recommendation should be to use the software updater for the region where you use your phone regularly, and not that of the region where you purchased it. If I am right, why would Palm offer misleading advice? I would appreciate your comments.